找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 1331|回复: 1

[分享] Using the Table cell selected event

[复制链接]

已领礼包: 1268个

财富等级: 财源广进

发表于 2013-7-5 07:26:49 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
Using the Table cell selected eventBy Balaji Ramamoorthy
When a table cell gets selected, you may interested in knowing the row and column index of the cell that was selected.
There is no such event in the public API but the "Autodesk.AutoCAD.Internal.Reactors" does provide one such event. Please note that the use of any API which is part of the "Internal" namespace is unsupported and subject to change. So, if you decide to use it, please test it thoroughly to see if it works correctly in your plugin.
Here is the sample code to use the "CellSelected" event from the "Autodesk.AutoCAD.Internal.Reactors.TableSubSelectFilter" class.
  1. using Autodesk.AutoCAD.Internal.Reactors;
  2. void IExtensionApplication.Initialize()
  3. {
  4.     TableSubSelectFilter tsf = TableSubSelectFilter.Instance();
  5.     if (tsf != null)
  6.     {
  7.         tsf.CellSelected
  8.             += new TableSubSelectFilterEventHandler(tsf_CellSelected);
  9.     }
  10. }
  11. void IExtensionApplication.Terminate()
  12. {
  13.     TableSubSelectFilter tsf = TableSubSelectFilter.Instance();
  14.     if (tsf != null)
  15.     {
  16.         tsf.CellSelected
  17.             -= new TableSubSelectFilterEventHandler(tsf_CellSelected);
  18.     }
  19. }
  20. void  tsf_CellSelected(object sender, TableSubSelectFilterEventArgs e)
  21. {
  22.     if (! e.TableId.IsNull)
  23.     {
  24.         using (Transaction tr
  25.             = e.TableId.Database.TransactionManager.StartTransaction())
  26.         {
  27.             Table table
  28.                 = tr.GetObject(e.TableId, OpenMode.ForRead) as Table;
  29.            if (table.HasSubSelection)
  30.             {
  31.                 CellRange cr = table.SubSelection;
  32.                 System.Diagnostics.Debug.WriteLine
  33.                     (
  34.                         String.Format("\nSingle Cell ? : {0}",
  35.                         cr.IsSingleCell)
  36.                     );
  37.                 System.Diagnostics.Debug.WriteLine
  38.                     (
  39.                         String.Format("\nTop row : {0}",
  40.                         cr.TopRow)
  41.                     );
  42.                 System.Diagnostics.Debug.WriteLine
  43.                     (
  44.                         String.Format("\nLeft column : {0}",
  45.                         cr.LeftColumn)
  46.                     );
  47.                 System.Diagnostics.Debug.WriteLine
  48.                     (
  49.                         String.Format("\nBottom Row : {0}",
  50.                         cr.BottomRow)
  51.                     );
  52.                System.Diagnostics.Debug.WriteLine
  53.                     (
  54.                         String.Format("\nRight column : {0}",
  55.                         cr.RightColumn)
  56.                     );
  57.             }
  58.             tr.Commit();
  59.         }
  60.     }
  61. }



评分

参与人数 1D豆 +3 收起 理由
ScmTools + 3 很给力!经验;技术要点;资料分享奖!

查看全部评分

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

已领礼包: 1632个

财富等级: 堆金积玉

发表于 2013-7-5 21:50:56 | 显示全部楼层
很直观的“CellSelected”事件示例代码使用
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-5-1 06:11 , Processed in 0.369057 second(s), 37 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表